The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Upgrading MySql

Discussion in 'General Discussion' started by thehostinghut, Nov 27, 2005.

  1. thehostinghut

    thehostinghut Well-Known Member

    Joined:
    Jan 5, 2005
    Messages:
    232
    Likes Received:
    0
    Trophy Points:
    16
    Hey I keep getting this error when tring to upgrade or even to a /scripts/mysqlup --force

    error: %post(MySQL-shared-4.0.25-0.i386) scriptlet failed, exit status 255

    That happens on all of the packages.


    WHM 10.8.0 cPanel 10.8.1-C29
    CentOS 4.2 i686 - WHM X v3.1.0


    Tracy
     
  2. thehostinghut

    thehostinghut Well-Known Member

    Joined:
    Jan 5, 2005
    Messages:
    232
    Likes Received:
    0
    Trophy Points:
    16
    Well since no one knows this I will give you a hint:

    This is a problem generally caused by selinux.

    Tracy
     
  3. thehostinghut

    thehostinghut Well-Known Member

    Joined:
    Jan 5, 2005
    Messages:
    232
    Likes Received:
    0
    Trophy Points:
    16
    Here is what you need to do to fix it:

    You will need to edit /etc/selinux/config and change `permissive` to `disabled`

    Tracy
     
  4. Parcye

    Parcye Well-Known Member

    Joined:
    May 19, 2004
    Messages:
    56
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Eindhoven
    I have had the same problem, just fixed it with this fix. But when it updates, it only installs Mysql 4.0.25, how do I get a newer version?
     
  5. thehostinghut

    thehostinghut Well-Known Member

    Joined:
    Jan 5, 2005
    Messages:
    232
    Likes Received:
    0
    Trophy Points:
    16
    If you go to tweek settings in your whm and choose 4.1 then click save. It will take you to another page. There will be a link on that page that will do a system update. The link will say something like click here.

    You will need to ssh into your server and do this also after:

    /scripts/perlinstaller --force Bundle::DBD::mysql

    If you have issues let me know. You can PM me if you like.

    Tracy
     
Loading...

Share This Page